AsymmetricAlgorithm Class Referenceabstract

Interface for asymmetric algorithms. More...

`#include <cryptlib.h>`

Inheritance diagram for AsymmetricAlgorithm:

## Public Member Functions

virtual CryptoMaterial & | AccessMaterial ()=0
| Retrieves a reference to CryptoMaterial.
virtual const CryptoMaterial & | GetMaterial () const =0
| Retrieves a reference to CryptoMaterial.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for asymmetric algorithms.

BERDecode() and DEREncode() were removed under Issue 569 and Commit 9b174e84de7a. Programs should use AccessMaterial().Load(bt) or GetMaterial().Save(bt) instead.

See also
  Issue 569

Definition at line 2564 of file cryptlib.h.

## Constructor & Destructor Documentation

## ~AsymmetricAlgorithm()

virtual AsymmetricAlgorithm::~AsymmetricAlgorithm | ( |  | ) |

inline virtual

Definition at line 2567 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

virtual CryptoMaterial & AsymmetricAlgorithm::AccessMaterial | ( |  | ) |

pure virtual

Retrieves a reference to CryptoMaterial.

Returns
  a reference to the crypto material

Implemented in KeyAgreementAlgorithm, PrivateKeyAlgorithm, and PublicKeyAlgorithm.

## GetMaterial()

virtual const CryptoMaterial & AsymmetricAlgorithm::GetMaterial | ( |  | ) | const

pure virtual

Retrieves a reference to CryptoMaterial.

Returns
  a const reference to the crypto material

Implemented in KeyAgreementAlgorithm, PrivateKeyAlgorithm, and PublicKeyAlgorithm.

The documentation for this class was generated from the following file:

- cryptlib.h